Page MenuHomePhabricator | MITK

Volume Rendering not working on MITK Tutorial Step 3
Closed, ResolvedPublic

Description

When enabling "volumerendering" property, only the lungs volume from "lungs.vtk" is displayed, but not the volume rendering related to "Pic3D.nrrd". The code was debugged and verified that "volumerendering" property was set to "true" value.

// Set the property "volumerendering" to the Boolean value "true"
node->SetProperty("volumerendering", mitk::BoolProperty::New(true));

It was tested in the MITK master branch #647640c36bcc` using VS2015 x64 and x32 on a Windows 10 system.

Event Timeline

aguilera triaged this task as Normal priority.Feb 7 2018, 1:49 PM
aguilera created this task.
kahl added a comment.Apr 4 2018, 4:48 PM

In mitkVolumeMapperVtkSmart3D there is the following condition:

if (this->GetDataNode()->GetMTime() < this->GetMTime())
{
  return;
}

the MTime of the picture is greater than the MTime of the volumerendering so volumerendering isn't set to true

I stumbled upon very similar issues with the new volume rendering and can confirm that the time stamp comparison is ill-formed or at least incomplete. Other mappers take into account also various property list modification times and so on and more reliably set the own modification time.

kahl added a comment.Apr 5 2018, 2:20 PM

I tried it without the time stamp comparison and it works well and seems to me that there are no performance differences when trying volume rendering in the workbench

goch closed this task as Resolved.Apr 13 2018, 9:54 AM
goch claimed this task.